Jump to content

Gqrx, 16 other .deb packages and still it won't work.


Recommended Posts

I stayed up late last night tracking down Dependencie packages for the Gqrx.deb file that I'd downloaded. After around 16 .deb packages later it still won't work even though all the so called "Dependencies" are installed.

I have no gqrx icon in my list and when I open it in terminal I get this:

linux; GNU C++ version 4.8.2; Boost_105400; UHD_003.005.005-0-unknown

gr-osmosdr 0.1.1 (0.1.1) gnuradio 3.7.2.1

built-in source types: file osmosdr fcd rtl rtl_tcp uhd hackrf bladerf rfspace

Using Volk machine: sse3_32_orc

gr-osmosdr 0.1.1 (0.1.1) gnuradio 3.7.2.1

built-in source types: file osmosdr fcd rtl rtl_tcp uhd hackrf bladerf rfspace

Using device #0 Realtek RTL2838UHIDIR SN: 00000001

Kernel driver is active, or device is claimed by second instance of librtlsdr.

In the first case, please either detach or blacklist the kernel module

(dvb_usb_rtl28xxu), or enable automatic detaching at compile time.

usb_claim_interface error -6

FATAL: Failed to open rtlsdr device.

Trying to fill up 1 missing channel(s) with null source(s).

This is being done to prevent the application from crashing

due to gnuradio bug #528.

terminate called after throwing an instance of 'boost::exception_detail::clone_impl<boost::exception_detail::error_info_injector<boost::math::rounding_error> >'

what(): Error in function boost::math::round<f>(f): Value -inf can not be represented in the target integer type.

I'm totally stumped at why it's not working. I mean I know I had zero luck with tar.gz files and with git hub but dang, I can't even get it to work with .deb packages.

Am I just doomed to run Kali to get my SDR on or what?

Link to comment
Share on other sites

  • 1 month later...

Are you still having this problem? It looks like your driver is already in use.

You might try adding these to your blacklist.

nano /etc/modprobe.d/rtl-sdr-blacklist.conf

blacklist dvb_usb_rtl28xxu

blacklist e4000

blacklist rtl2832

That is given you are using a rtl with a 2838 chip.

Link to comment
Share on other sites

  • 5 weeks later...

Nope, no longer a problem. I moved to Manjaro Xfce and found Gqrx in the AUR and installed it and it works like a charm. Sometimes you just need to find the right Linux Distro to get the job done.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...